summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2017-04-01 15:23:33 +0200
committerAlexis Ballier <aballier@gentoo.org>2017-04-01 15:25:27 +0200
commitca2e85cf20bffb6c495de3d8f69fae835007bc79 (patch)
tree8f5ef6646da2910df192723a24750af17f6c653f /dev-ml/ppx_traverse_builtins
parentdev-ml/ppx_ast: Initial import. Ebuild by me. (diff)
downloadgentoo-ca2e85cf20bffb6c495de3d8f69fae835007bc79.tar.gz
gentoo-ca2e85cf20bffb6c495de3d8f69fae835007bc79.tar.bz2
gentoo-ca2e85cf20bffb6c495de3d8f69fae835007bc79.zip
dev-ml/ppx_traverse_builtins: Initial import. Ebuild by me.
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'dev-ml/ppx_traverse_builtins')
-rw-r--r--dev-ml/ppx_traverse_builtins/Manifest1
-rw-r--r--dev-ml/ppx_traverse_builtins/metadata.xml8
-rw-r--r--dev-ml/ppx_traverse_builtins/ppx_traverse_builtins-0.9.0.ebuild30
3 files changed, 39 insertions, 0 deletions
diff --git a/dev-ml/ppx_traverse_builtins/Manifest b/dev-ml/ppx_traverse_builtins/Manifest
new file mode 100644
index 00000000000..e8562335893
--- /dev/null
+++ b/dev-ml/ppx_traverse_builtins/Manifest
@@ -0,0 +1 @@
+DIST ppx_traverse_builtins-0.9.0.tar.gz 6328 SHA256 5c30e699011267a1c09ef036456e6c2c8e526f59526471034de5e6b9020c18b9 SHA512 c8d77138f8fcd4d440870eb9126f5aca2d9fa917fac6bd9aa7f6dd4fb3e75f5860efbdc312ffc23b375808c33e1527726318918bf7bee61f470ef3a2cb40f6ba WHIRLPOOL 054b60b9aeadb9dcf235ff7ec3a11a1393351e26fbc0fb94299b4ff8095fdefb3d6fb5b6e8416880125d5961fba844a47e6314d1041e70fa1d1fbe56e7dad689
diff --git a/dev-ml/ppx_traverse_builtins/metadata.xml b/dev-ml/ppx_traverse_builtins/metadata.xml
new file mode 100644
index 00000000000..ffac4d7ebc0
--- /dev/null
+++ b/dev-ml/ppx_traverse_builtins/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>ml@gentoo.org</email>
+ <name>Gentoo ML Project</name>
+</maintainer>
+</pkgmetadata>
diff --git a/dev-ml/ppx_traverse_builtins/ppx_traverse_builtins-0.9.0.ebuild b/dev-ml/ppx_traverse_builtins/ppx_traverse_builtins-0.9.0.ebuild
new file mode 100644
index 00000000000..3e0329bd70e
--- /dev/null
+++ b/dev-ml/ppx_traverse_builtins/ppx_traverse_builtins-0.9.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="Builtins for ppx_traverse"
+HOMEPAGE="https://github.com/janestreet/ppx_traverse_builtins"
+SRC_URI="https://github.com/janestreet/ppx_traverse_builtins/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="
+ dev-lang/ocaml:=
+"
+RDEPEND="${DEPEND}"
+DEPEND="${RDEPEND}
+ dev-ml/opam
+ dev-ml/jbuilder"
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ --mandir="${ED}/usr/share/man" \
+ ${PN}.install || die
+}